cdac.medinfo.sdk.hl7282.utils

## Enum EnumMessageType

- java.lang.Object
- - java.lang.Enum<EnumMessageType>
  - - cdac.medinfo.sdk.hl7282.utils.EnumMessageType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<EnumMessageType>

      public enum EnumMessageType
      extends java.lang.Enum<EnumMessageType>

  This Enum contains all Message type for Messages.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `HL7_BATCH` Enum constant of ACK_I07 Message Structure
    `HL7_MESSAGE` Enum constant of ACK Message Structure

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()` Returns the String value of this enum.
    `static EnumMessageType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static EnumMessageType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### HL7_MESSAGE

          public static final EnumMessageType HL7_MESSAGE

      Enum constant of ACK Message Structure

    - #### HL7_BATCH

          public static final EnumMessageType HL7_BATCH

      Enum constant of ACK_I07 Message Structure

  - ### Method Detail

    - #### values

          public static EnumMessageType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EnumMessageType c : EnumMessageType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EnumMessageType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Returns the String value of this enum.
      Returns:
        String - string value of Enum Message Type on which it is called.